@import url(//spoqa.github.io/spoqa-han-sans/css/SpoqaHanSansNeo.css);

@import "variables.css";
@import "tag.css";
@import "maptype.css";
@import "widget.css";
@import "ranking.css";
@import "hit-help.css";
@import "menubar-list.css";
@import "login.css";
@import "contents.css";
@import "content-population.css";
@import "content-vote.css";
@import "content-construction.css";
@import "content-gis.css";
@import "content-safety.css";
@import "content-snow-safety.css";
@import "content-guide.css";
@import "menubar.css";
@import "modal.css";
@import "report.css";
@import "icon-location.css";
@import "alarm.css";
@import "alarm-folded.css";
@import "maplayers.css";
@import "maplayer-list.css";
@import "culture-event.css";
@import "map.css";
@import "details-map.css";
@import "construction-marker.css";
@import "detail.css";
@import "construction-status.css";
@import "admin.css";
@import "select.css";
@import "marker.css";
@import "gis-status.css";
@import "tour-place.css";
@import "my-stamp.css";
@import "my-stamp-btn.css";
@import "stamp-info.css";
@import "upload.css";
@import "around-place.css";
@import "alarm-marker.css";
@import "stamp-marker.css";
@import "rejection-message.css";
@import "join-form.css";
@import "join-header.css";
@import "join-consent.css";
@import "find-pw.css";
@import "stamp-survey.css";
@import "stamp-survey-completion.css";
@import "my-stamp-popup.css";
@import "join-term.css";
@import "stamp-info-popup.css";
@import "stamp-guide-map.css";
@import "stamp-complete.css";
@import "stamp-landing.css";
@import "around-place-marker.css";
@import "around-place-favorite-no-like.css";
@import "stamp-course-filter.css";
@import "stamp-course-info.css";
@import "stamp-language.css";
@import "popup.css";
@import "admin-accident.css";
@import "stamp-guide-map-category.css";
@import "land-permit.css";
@import "public-property.css";

body,
html {
    margin: 0;
    padding: 0;
    height: 100%;
    width: 100%;
    display: flex;
}

@media (max-width: 768px) {
    body {
        flex-direction: column;
    }
    a > img[alt="NAVER"] {
        display: none !important;
    }
}

#map {
    width: 100%;
    height: 100%;
    position: relative;
}

.hidden {
    display: none;
}
.none-visibility {
    visibility: hidden;
}

.loading-spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 50px;
    height: 50px;
    border: 5px solid rgba(0, 0, 0, 0.2);
    border-top-color: #000;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    z-index: 1000; /* Ensure it's on top of other content */
}

.cursor-pointer {
    cursor: pointer;
}

.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border-width: 0;
}
